#ifndef CMWMANUALSTEP_H
#define CMWMANUALSTEP_H

#include "cmwidget.h"

namespace Ui {
class CMWManualStep;
}

class CMWManualStep : public CMWidget
{
    Q_OBJECT

public:
    explicit CMWManualStep(QWidget *parent = 0);
    ~CMWManualStep();
    void MFresh();
    void MApply();
    void MTimeFresh();
    int32_t m_iCurCamID;
    int m_iCurSideID;
    QString strCurFile;
    CMPointd m_WPDPZERO;
private slots:
    void on_pushButton_N10_clicked();

    void on_pushButton_N1_clicked();

    void on_pushButton_P1_clicked();

    void on_pushButton_P10_clicked();

    void on_pushButton_Zero_clicked();

    void on_pushButton_Calcu_clicked();

    void on_pushButton_Pt1_clicked();

    void on_pushButton_Pt1Set_clicked();

    void on_pushButton_PtMid_clicked();

    void on_pushButton_PtMidSet_clicked();

    void on_pushButton_Pt2_clicked();

    void on_pushButton_Pt2Set_clicked();

    void on_pushButton_PtBase_clicked();

    void on_pushButton_PtBaseSet_clicked();

    void on_pushButton_PtRotate_clicked();

    void on_pushButton_PtRotateSet_clicked();


    void on_btnCCW_clicked();

    void on_btnCW_clicked();

    void on_btnApplyCH2_clicked();
	void on_btnRedo_clicked();

private:
    Ui::CMWManualStep *ui;
    void StepMove(int iCount);
    void MovePt(int iPtStyle);
    bool SetPt(int iPtStyle);

    void EnableButton(int iIndex);
};

#endif // CMWMANUALSTEP_H
